scala.Array
trait Projection

[source: `scala/Array.scala`]

`` `trait` Projection[A]
  `extends` MutableProjection[A]

Method Summary
`override def` | drop (from : Int) : Projection[A] Returns this sequence without its `n` first elements If this sequence has less than `n` elements, the empty sequence is returned. (non-strict)
`override def` | force : Array[A] convert to a copied strict collection
`protected abstract def` | newArray [B >: A](length : Int, elements : Iterator[A]) : Array[B]
`override def` | reverse : Projection[A] A sequence consisting of all elements of this sequence in reverse order.
`override def` | slice (from0 : Int, until0 : Int) : Projection[A] A sub-sequence of `len` elements starting at index `from` (non-strict)
`override def` | take (until : Int) : Projection[A] Returns a sequence consisting only over the first `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements. (non-strict)
`override def` | toArray [B >: A] : Array[B] Converts this sequence to a fresh Array with `length` elements.

Methods inherited from MutableProjection
projection

Methods inherited from Mutable
update (abstract), readOnly

Methods inherited from Projection
map, append

Methods inherited from RandomAccessSeq
elements, patch, ++, toStream, safeIs

Methods inherited from Projection
flatMap, takeWhile, filter

Methods inherited from Seq
length (abstract), lengthCompare, size, isEmpty, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, dropWhile, contains, subseq, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString, stringPrefix

Methods inherited from Iterable
partition, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
apply (abstract), compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`protected abstract` `def` newArray[B >: A](length : Int, elements : Iterator[A]) : Array[B]

`override` `def` toArray[B >: A] : Array[B]

  Converts this sequence to a fresh Array with `length` elements.

`override` `def` force : Array[A]

  convert to a copied strict collection

Overrides
  MutableProjection.force

`override` `def` drop(from : Int) : Projection[A]

  Returns this sequence without its `n` first elements If this sequence has less than `n` elements, the empty sequence is returned. (non-strict)

Parameters
  `n -` the number of elements to drop
Returns
  the new sequence

`override` `def` take(until : Int) : Projection[A]

  Returns a sequence consisting only over the first `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements. (non-strict)

Parameters
  `n -` the number of elements to take
Returns
  a possibly projected sequence

`override` `def` slice(from0 : Int, until0 : Int) : Projection[A]

  A sub-sequence of `len` elements starting at index `from` (non-strict)

Parameters
  `from -` The index of the first element of the slice
  `until -` The index of the element following the slice
Throws
  `IndexOutOfBoundsException -` if `from < 0` or `length < from + len```

`override` `def` reverse : Projection[A]

  A sequence consisting of all elements of this sequence in reverse order.